body {
    background-color: var(--body-bg);
    width: 100%;
    margin-bottom: 70px;
    overflow: hidden !important;
}

/* ХЕДЕР */
.rmUIheader {
    display: flex;
    flex-direction: column;
    width: 100%;
    background-color: var(--block-bg);
    padding: 14px 21px;
}

.rmUIheader__content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    align-items: center;
}


.rmUIheader__content-logo__block {
    display: flex;
    flex-direction: row;
    gap: 11px;
    align-items: center;
}

.rmUIheader__content-logo {
    height: 54px;
    width: 54px;
    border-radius: 17px;
    flex-shrink: 0;
}

.rmUIheader__content-logo--text__block {
    display: flex;
    flex-direction: column;
}

.rmUIheader__content-logo-text--title {
    font-family: 'Stolzl', sans-serif;
    font-weight: 600;
    color: var(--black-color);
    font-size: 21px;
    line-height: 1.1;
}

.rmUIheader__content-logo-text--subtitle {
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
    color: var(--gray-color);
    font-size: 16px;
    line-height: 1;
}



.rmUIheader__fix {
    display: flex;
    flex-direction: row;
    gap: 21px;
}

.rmUIheader__content-navigator {
    display: flex;
    flex-direction: row;
    gap: 24px;
    align-items: center;
}

.rmUIheader__content-nav-link {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 7px;
    font-family: 'Stolzl', sans-serif;
    font-weight: 500;
    color: var(--black-color);
    font-size: 17px;
    transition: all 0.4s;
}

.rmUIheader__content-nav-link svg {
    height: 23px;
    width: 23px;
    fill: var(--black-color);
    flex-shrink: 0;
    transition: all 0.4s;
}

.rmUIheader__content-nav-link--active {
    color: var(--blue-color);
}

.rmUIheader__content-nav-link--active svg {
    fill: var(--blue-color);
}

.rmUIheader__content-nav-link:hover {
    color: var(--blue-color);
}

.rmUIheader__content-nav-link:hover svg {
    fill: var(--blue-color);
}



.rmUIheader__content-button__wrapper {
    display: flex;
    flex-direction: row;
}

.rmUIheader__content-button {
    display: flex;
    flex-direction: row;
    align-items: center;
    font-family: 'Stolzl', sans-serif;
    font-weight: 500;
    color: var(--white-color);
    font-size: 17px;
    padding: 13px 27px;
    background-color: var(--black-color);
    gap: 7px;
    border-radius: 17px;
    user-select: none;
    transition: all 0.4s;
}

.rmUIheader__content-button svg {
    height: 23px;
    width: 23px;
    fill: var(--white-color);
    flex-shrink: 0;
}

.rmUIheader__content-button:hover {
    background-color: var(--blue-color);
}

.rmUIheader__content-button--mobile {
    display: none;
}

/* ЛЕНДИНГ */
.rmUIlanding {
    display: flex;
    flex-direction: column;
    align-items: start;
    height: 500px;
    background-color: var(--landing-bg);
    border-radius: 0 0 44px 44px;
    width: 100%;
    overflow: hidden;
    margin-bottom: 140px;
}

.rmUIlanding__content {
    display: grid;
    grid-template-columns: 1fr 400px;
    flex: 1;
    width: 100%;
}


.rmUIlanding--short {
    justify-content: center;
    height: 200px;
    padding: 0px 21px;
}

.rmUIlanding__content--short {
    display: flex;
    flex-direction: column;
    align-items: center;
}


.rmUIlanding__content-left__container {
    display: flex;
    flex-direction: column;
    padding: 31px 21px;
}

.rmUIlanding__content-title {
    font-family: 'Stolzl', sans-serif;
    font-weight: 600;
    color: var(--white-color);
    font-size: 65px;
    line-height: 0.9;
    margin-bottom: 11px;
    text-transform: uppercase;
}

.rmUIlanding__content-title span {
    background: linear-gradient(90deg, #00F5FF, #90dfff, #0077FF);
    background-size: 200% 200%;
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    animation: gradientShift 2s ease-in-out infinite alternate;
}

@keyframes gradientShift {
    0% {
        background-position: 0% 50%;
    }
    100% {
        background-position: 100% 50%;
    }
}


.rmUIlanding__content-subtitle {
    font-family: 'Montserrat';
    font-weight: 500;
    color: var(--white-color);
    font-size: 18px;
    max-width: 50%;
    margin-bottom: 27px;
}


.rmUIlanding__content-buttons__wrapper {
    display: flex;
    flex-direction: row;
    gap: 11px;
    align-items: center;
}

.rmUIlanding__content-button {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 14px 27px;
    text-align: center;
    width: fit-content;
    border-radius: 14px;
    user-select: none;
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--white-color);
    font-size: 17px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.rmUIlanding__content-button:hover {
    background-color: rgba(255, 255, 255, 0.1);
}

.rmUIlanding__content-button--background {
    padding: 14px 57px;
    background-color: var(--elements-bg--accent);
}

.rmUIlanding__content-button--background:hover {
    opacity: 0.75;
    background-color: var(--elements-bg--accent);
}


.rmUIlanding__content-bottom-text__block {
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: flex-end;
}

.rmUIlanding__content-bottom-text {
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--white-color);
    font-size: 16px;
}


.rmUIlanding__content-right__container {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    height: 100%;
    align-items: flex-end;
    user-select: none;
}

.rmUIlanding__content-right__image {
    display: block; 
    width: 340px;
}



/* ГЛАВНЫЕ СТИЛИ */
.rmUImain__content {
    display: flex;
    flex-direction: column;
    padding: 0px 21px;
    gap: 140px;
    margin-bottom: 170px;
}

.rmUItitle__block {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    margin-bottom: 34px;
    align-items: center;
}

.rmUItitle {
    font-family: 'Stolzl', sans-serif;
    font-weight: 600;
    color: var(--black-color);
    font-size: 60px;
    text-transform: uppercase;
    line-height: 1;
}

.rmUItitle span {
    color: var(--blue-color);
    background-color: #bcecff;
    padding: 0 8px;
    display: inline-block;
}


/* КНОПКА */
.rmUIbutton {
    width: fit-content;
    position: relative;
    isolation: isolate;
}

.rmUIbutton__inner {
    display: inline-flex;
    align-items: center;
    gap: 12px;
    padding: 12px 16px;
    position: relative;
    cursor: pointer;
    color: var(--black-color);
    text-decoration: none;
    border: none;
    background: transparent;
}

.rmUIbutton__inner::before {
    content: "";
    position: absolute;
    inset: 0;
    background: var(--thin-blue-color);
    border-radius: 32px;
    clip-path: inset(0 calc(100% - 90px) 0 0 round 25px);
    transform: rotate(-15deg);
    transform-origin: 30px 50%;
    transition: all 0.7s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.rmUIbutton__circle {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 28px;
    height: 28px;
    border-radius: 50%;
    background: var(--blue-color);
    position: relative;
    z-index: 1;
    transition: background 0.65s cubic-bezier(0.785, 0.135, 0.15, 0.86);
}

.rmUIbutton__icons {
    position: relative;
    width: 20px;
    height: 20px;
    overflow: hidden;
}

.rmUIbutton__icons-inner {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    transition: transform 0.65s cubic-bezier(0.785, 0.135, 0.15, 0.86);
}

.rmUIbutton__icon {
    width: 20px;
    height: 20px;
    fill: none;
    flex-shrink: 0;
}

.rmUIbutton__icon path {
    fill: white;
}

.rmUIbutton__text {
    position: relative;
    z-index: 1;
    font-family: 'Unbounded';
    font-weight: 400;
    color: var(--black-color);
    font-size: 19px;
    user-select: none;
    transition: color 0.3s ease;
}

.rmUIbutton:hover .rmUIbutton__inner::before {
    clip-path: inset(0 0 0 0 round 25px);
    transform: rotate(0deg);
}

.rmUIbutton:hover .rmUIbutton__icons-inner {
    transform: translateX(-50%);
}

.rmUIbutton:hover .rmUIbutton__circle {
    background: var(--blue-color);
}

.rmUIbutton:hover .rmUIbutton__text {
    color: var(--blue-color);
}







/* НЕМНОГО ПРО МЕНЯ (ГЛАВНАЯ) */
.rmUIaboutme {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.rmUIaboutme__content {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.rmUIaboutme__content-container {
    display: grid;
    grid-template-columns: 1fr 390px;
    gap: 27px;
}

.rmUIaboutme__content-left__block {
    display: flex;
    flex-direction: column;
}

.rmUIaboutme__content-text {
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--gray-color);
    font-size: 17px;
    margin-bottom: 32px;
}


.rmUIaboutme__content-buttons__wrapper {
    display: flex;
    flex-direction: row;
    gap: 11px;
    align-items: center;
}

.rmUIaboutme__content-button {
    display: inline-flex;
    flex-direction: row;
    padding: 14px 31px;
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--black-color);
    font-size: 17px;
    border-radius: 13px;
    user-select: none;
    transition: all 0.3s ease;
}

.rmUIaboutme__content-button:hover {
    background-color: rgba(0, 0, 0, 0.2);
}

.rmUIaboutme__content-button--blue {
    color: var(--white-color);
    padding: 14px 57px;
    background-color: var(--blue-color);
}

.rmUIaboutme__content-button--blue:hover {
    opacity: 0.75;
    background-color: var(--blue-color);
}


.rmUIaboutme__content-my-face {
    border-radius: 17px;
}



/* ПОРТФОЛИО */
.rmUIportfolio {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.rmUIportfolio__content {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.rmUIportfolio__blocks {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 27px;
    width: 100%;
}


.rmUIportfolio__card {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.rmUIportfolio__card-poster {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    aspect-ratio: 16/9;
    width: 100%;
    margin-bottom: 14px;
}


.rmUIportfolio__card-title__block {
    display: flex;
    flex-direction: column;
}

.rmUIportfolio__card-title {
    font-family: 'Stolzl';
    font-weight: 600;
    color: var(--blue-color);
    font-size: 32px;
    line-height: 1;
    transition: all 0.4s ease;
}

.rmUIportfolio__card-title:hover {
    opacity: 0.75;
}

.rmUIportfolio__card-type {
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--gray-color);
    font-size: 17px;
    margin-bottom: 17px;
}

.rmUIportfolio__card-text {
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--gray-color);
    font-size: 17px;
    margin-bottom: 31px;
}

.rmUIportfolio__card-buttons__wrapper {
    display: flex;
    flex-direction: row;
    margin-top: auto;
}

.rmUIportfolio__card-more__button {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 14px 37px;
    text-align: center;
    width: fit-content;
    border-radius: 14px;
    user-select: none;
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--white-color);
    font-size: 17px;
    background-color: var(--blue-color);
    cursor: pointer;
    transition: all 0.3s ease;
}

.rmUIportfolio__card-more__button:hover {
    opacity: 0.75;
}



/* МОИ УСЛУГИ */
.rmUIuslugi {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.rmUIuslugi__content {
    display: flex;
    flex-direction: column;
    width: 100%;
}


.rmUIuslugi__blocks {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 17px;
}

.rmUIusluga__card {
    display: flex;
    flex-direction: column;
    width: 100%;
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.2);
    border-radius: 27px;
}

.rmUIusluga__card-image__block {
    display: flex;
    flex-direction: column;
}

.rmUIusluga__card-img {
    width: 100%;
    border-radius: 27px 27px 0 0;
}

.rmUIusluga__card-body__container {
    display: flex;
    flex-direction: column;
    padding: 13px;
    background-color: var(--white-color);
    border-radius: 27px;
    translate: 0 -5%;
}

.rmUIusluga__card-title__block {
    display: flex;
    flex-direction: column;
    margin-bottom: 17px;
}

.rmUIusluga__card-name {
    display: -webkit-box;
    font-family: 'Unbounded';
    font-weight: 500;
    color: var(--blue-color);
    font-size: 27px;
    line-height: 1;
    line-clamp: 3;
    -webkit-line-clamp: 3;
    text-overflow: ellipsis;
    margin-bottom: 4px;
    overflow: hidden;
    -webkit-box-orient: vertical;
}

.rmUIusluga__card-desc {
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--black-color);
    font-size: 18px;
    line-height: 1;
}


.rmUIusluga__card-into__block {
    display: flex;
    flex-direction: column;
    margin-bottom: 17px;
}

.rmUIusluga__card-block-title {
    font-family: 'Unbounded';
    font-weight: 400;
    color: var(--blue-color);
    font-size: 21px;
    line-height: 1;
    margin-bottom: 4px;
}

.rmUIusluga__card-into-text {
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--gray-color);
    font-size: 17px;
    line-height: 1;
}



.rmUIusluga__card-price__block {
    display: flex;
    flex-direction: column;
    margin-bottom: 29px;
}

.rmUIusluga__card-price-text {
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--gray-color);
    font-size: 17px;
    line-height: 1;
    margin-bottom: 11px;
}

.rmUIusluga__card-price-size__container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    align-items: center;
    background-color: var(--calc-bg);
    border-radius: 14px;
    padding: 11px 11px;
}

.rmUIusluga__card-price-button {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.rmUIusluga__card-price-button svg {
    height: 26px;
    width: 26px;
    fill: var(--blue-color);
    flex-shrink: 0;
    box-sizing: border-box;
    border-radius: 20px;
    transition: all 0.3s ease;
}

.rmUIusluga__card-price-button:hover svg {
    background-color: rgba(0, 0, 0, 0.15);
}

.rmUIusluga__card-price-count {
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--black-color);
    font-size: 16px;
    user-select: none;
    transition: all 0.3s ease;
}

.rmUIusluga__card-price-count:hover {
    color: var(--blue-color);
}


.rmUIusluga__card-total__block {
    display: flex;
    flex-direction: column;
}

.rmUIusluga__card-total__text__block {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    align-items: center;
}

.rmUIusluga__card-total__price {
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--black-color);
    font-size: 18px;
    transition: all 0.3s ease;
    margin-bottom: 11px;
}

.rmUIusluga__card-total__price:hover {
    color: var(--blue-color);
}

.rmUIusluga__card-button {
    display: flex;
    flex-direction: row;    
    justify-content: center;
    width: 100%;
    align-items: center;
    user-select: none;
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--white-color);
    font-size: 18px;
    background-color: var(--blue-color);
    padding: 13px 1px;
    margin-bottom: 3px;
    border-radius: 11px;
    transition: all 0.4s ease;
}

.rmUIusluga__card-button:hover {
    opacity: 0.75;
}

.rmUIusluga__card-warning__text {
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--gray-color);
    font-size: 16px;
    text-align: center;
}



/* МОИ КОНТАКТЫ */
.rmUIcontacts {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.rmUIcontacts__content {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.rmUIcontacts__blocks {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 17px;
}

.rmUIcontact__card {
    display: flex;
    flex-direction: column;
    padding: 27px;
    background-color: var(--block-bg);
    border-radius: 21px;
    box-shadow: 7px 11px 7px 1px rgba(0, 0, 0, 0.15);
    transition: all 0.4s ease;
}

.rmUIcontact__card:hover {
    transform: translateY(-3px);
    box-shadow: 11px 14px 11px 4px rgba(0, 98, 122, 0.25);
}

.rmUIcontact__card-img__block {
    display: flex;
    flex-direction: row;
    margin-bottom: 31px;
}

.rmUIcontact__card-img {
    height: 59px;
    width: 59px;
    flex-shrink: 0;
    border-radius: 19px;
}


.rmUIcontact__card-text__block {
    display: flex;
    flex-direction: column;
}

.rmUIcontact__card-title {
    font-family: 'Stolzl', sans-serif;
    font-weight: 600;
    color: var(--blue-color);
    font-size: 27px;
    margin-bottom: 7px;
}

.rmUIcontact__card-text {
    font-family: 'Stolzl', sans-serif;
    font-weight: 500;
    color: var(--gray-color);
    font-size: 17px;
}

.rmUIcontact__card-text span {
    font-weight: 600;
    color: var(--blue-color);
}


/* ФУТЕР */
.rmUIfooter__section {
    display: flex;
    flex-direction: column;
    margin: 21px;
}

.rmUIfooter {
    display: flex;
    flex-direction: row;
    width: 100%;
    background-color: var(--white-color);
    border-radius: 21px;
    border: 2px solid var(--elements-border);
}

.rmUIfooter__content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    align-items: center;
    padding: 14px;
}

.rmUIfooter__content-logo__container {
    display: flex;
    flex-direction: row;
    gap: 7px;
    align-items: center;
}

.rmUIfooter__content-logo__image-block {
    flex-shrink: 0;
}

.rmUIfooter__content-logo__img {
    height: 54px;
    width: 54px;
    border-radius: 17px;
}

.rmUIfooter__content-logo-text__block {
    display: flex;
    flex-direction: column;
}

.rmUIfooter__content-text {
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--black-color);
    font-size: 18px;
    line-height: 1;
}

.rmUIfooter__content-text span {
    color: var(--blue-color);
}


.rmUIfooter__content-icons__block {
    display: flex;
    flex-direction: row;
    gap: 11px;
    align-items: center;
}

.rmUIfooter__content-icon {
    height: 30px;
    width: 30px;
    fill: var(--gray-color);
    flex-shrink: 0;
    transition: all 0.3s ease;
}

.rmUIfooter__content-icon:hover {
    fill: var(--blue-color);
    transform: scale(1.11);
}


.rmUIfooter__content-madeby__block {
    display: flex;
    flex-direction: row;
    gap: 11px;
    align-items: center;
}

.rmUIfooter__content-studio__logo {
    height: 47px;
    width: 47px;
    border-radius: 14px;
    flex-shrink: 0;
}

.rmUIfooter__content-madeby {
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--black-color);
    font-size: 17px;
}

.rmUIfooter__content-madeby__studio {
    display: flex;
    flex-direction: row;
    gap: 7px;
    align-items: center;
}

.rmUIfooter__content-studioname {
    display: flex;
    flex-direction: column;
    font-family: 'Stolzl';
    font-weight: 500;
    color: var(--blue-color);
    font-size: 17px;
    line-height: 1;
}





/* МОБИЛЬНАЯ НАВИГАЦИЯ */
.rmUImobile__nav {
	display: none;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 8px 21px;
    background: var(--white-color);
    border-top: 1px solid var(--black-color);
    box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.05);
    z-index: 1000;
}

.rmUImobile__nav-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.rmUImobile-link {
    display: flex;
    flex-direction: column;
	font-family: 'Stolzl';
    font-weight: 500;
	font-size: 16px;
    align-items: center;
    text-decoration: none;
    color: var(--black-color);
    transition: color 0.3s ease;
}

.rmUImobile-link svg {
    width: 26px;
    height: 26px;
    margin-bottom: 3px;
    fill: currentColor;
    transition: fill 0.3s ease;
}

.rmUImobile-link__active {
    color: var(--blue-color);
}

.rmUImobile-link__active svg {
    fill: var(--blue-color);
}

.rmUImobile-link:hover {
    color: var(--blue-color);
}
